Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lejos.pc.comm
Class NXTCommBluez

    java.lang.Object
      lejos.pc.comm.NXTCommBluez

All Implemented Interfaces:
  NXTComm

    public class NXTCommBluez

extends java.lang.Object
implements NXTComm

Implementation of NXTComm using the the jbluez library on Linux or Unix systems. Should not be used directly - use NXTCommFactory to create an appropriate NXTComm object for your system and the protocol you are using.

Constructor Summary
`NXTCommBluez()`

Method Summary
`int` | `available()` Request the number of bytes available to read.
`void` | `close()` Closes the connection to the NXT.
`java.io.InputStream` | `getInputStream()` Return an InputStream for reading a stream of data from the NXT over this connection.
`java.io.OutputStream` | `getOutputStream()` Return an OutputStream for writing a stream of data to the NXT over this connection.
`boolean` | `open(NXTInfo nxt)` Connect to a NXT found by a search or created from mname and address.
`byte[]` | `rcSocketRecv(int sk)`
`void` | `rcSocketSend(int sk, byte[] data)`
`byte[]` | `read()` Read data from a NXT that has an open connection.
`NXTInfo[]` | `search(java.lang.String name, int protocol)` Search for NXTs over USB, Bluetooth or both
`byte[]` | `sendRequest(byte[] request, int replyLen)` Send an LCP message to the NXT and receive a reply
`void` | `write(byte[] data)` Write data to a NXT that has an open connection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NXTCommBluez

    public NXTCommBluez()

Method Detail

### search

    public NXTInfo[] search(java.lang.String name,
                            int protocol)

  Description copied from interface: `NXTComm`
  Search for NXTs over USB, Bluetooth or both

  Specified by:
    `search` in interface `NXTComm`
  Parameters:
    `name` - name of the NXT or null
    `protocol` - bitwise combination of NXTCommFactory.BLUETOOTH and NXTCommFactory.USB
  Returns:
    a NXTInfo object describing the NXt found and the connection to it

### close

    public void close()
               throws java.io.IOException

  Description copied from interface: `NXTComm`
  Closes the connection to the NXT.

  Specified by:
    `close` in interface `NXTComm`
  Throws:
    `java.io.IOException`

### open

    public boolean open(NXTInfo nxt)

  Description copied from interface: `NXTComm`
  Connect to a NXT found by a search or created from mname and address.

  Specified by:
    `open` in interface `NXTComm`
  Parameters:
    `nxt` - the NXTInfo object for the NXT
  Returns:
    true iff the open succeeded

### sendRequest

    public byte[] sendRequest(byte[] request,
                              int replyLen)
                       throws java.io.IOException

  Description copied from interface: `NXTComm`
  Send an LCP message to the NXT and receive a reply

  Specified by:
    `sendRequest` in interface `NXTComm`
  Parameters:
    `request` - the LCP message
    `replyLen` - the reply length expected
  Returns:
    the reply
  Throws:
    `java.io.IOException`

### read

    public byte[] read()
                throws java.io.IOException

  Description copied from interface: `NXTComm`
  Read data from a NXT that has an open connection. Used for stream connections.

  Specified by:
    `read` in interface `NXTComm`
  Returns:
    the data
  Throws:
    `java.io.IOException`

### available

    public int available()
                  throws java.io.IOException

  Description copied from interface: `NXTComm`
  Request the number of bytes available to read.

  Specified by:
    `available` in interface `NXTComm`
  Returns:
    the number of bytes available
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] data)
               throws java.io.IOException

  Description copied from interface: `NXTComm`
  Write data to a NXT that has an open connection.

  Specified by:
    `write` in interface `NXTComm`
  Parameters:
    `data` - the data to be written. Used for stream connections.
  Throws:
    `java.io.IOException`

### getOutputStream

    public java.io.OutputStream getOutputStream()

  Description copied from interface: `NXTComm`
  Return an OutputStream for writing a stream of data to the NXT over this connection.

  Specified by:
    `getOutputStream` in interface `NXTComm`
  Returns:
    the OutputStream object

### getInputStream

    public java.io.InputStream getInputStream()

  Description copied from interface: `NXTComm`
  Return an InputStream for reading a stream of data from the NXT over this connection.

  Specified by:
    `getInputStream` in interface `NXTComm`
  Returns:
    the InputStream object

### rcSocketSend

    public void rcSocketSend(int sk,
                             byte[] data)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### rcSocketRecv

    public byte[] rcSocketRecv(int sk)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD